Bug 203065 - "Not enough space" for existing LV; 256 GiB limit?
"Not enough space" for existing LV; 256 GiB limit?
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-08-18 04:17 EDT by Scott Lamb
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-30 17:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Lamb 2006-08-18 04:17:34 EDT
Description of problem:

When I select a large pre-existing logical volume and try to set the mount point, Anaconda says "Not 
enough free space" - "The current requested size ( 904844.00 MB) is larger than the maximum logical 
volume size ( 262144.00 MB). To increase this limit you can create more Physical Volumes from 
unpartitioned disk space and add them to this Volume Group."

Steps to Reproduce:
1. Using lvm2 tools, create a volume group in advance with over 256 GiB taken by one logical volume.
2. In anaconda, select "Create custom layout" for partitioning
3. Select the logical volume, keep "Leave unchanged (preserve data)" selected, and try to assign it a 
mount point.
Actual results:

LVM complains (with non-SI units) that the size of this volume exceeds 256 GiB.

Expected results:

LVM realizes it's already there and thus must be possible.

Additional info:

If I delete the logical volume and try to remake it, it gives me the same error message. I'm not sure 
where this 256 GiB limitation came from; it's apparently not in the underlying tools. And clearly the 
suggested action (adding more physical volumes) is incorrect.

I only have about 5 GB free on this volume group, so it didn't come from the free space count either.
Comment 1 Chris Lumens 2006-08-28 11:33:38 EDT
We are unable to reproduce this here on Rawhide with varying PE sizes.  Can you
try again with fc6t2 (or rawhide if possible)?  Can you also provide more
information about your LVM setup?  The output of pvdisplay and related commands
would be helpful.

Note You need to log in before you can comment on or make changes to this bug.